/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

#video-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

#background-video {
  position: absolute;
  top: 0;
  left: 0;
  min-height: 100%;
  min-width: 100%;
  object-fit: cover;
  z-index: 1;
}
 
#overlay{
  z-index: 2;
  position: absolute;
  color: white;
  display: block;
  justify-content: center;
  width: 100%;
  height: 100%;
  margin-bottom: 11%;
}

#overlay > div {
  margin-top: 10px;
  margin-bottom: 10px;
  height: fit-content;
  width: fit-content;
}

#content {
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  max-height: auto;
  font-family: comic sans ms;
  font-size: 1.2em;
  max-width: 1200px;
  margin-top: 2%;
  margin-left: 10%;
  margin-right: 10%;
  padding: 7px;
  border-radius: 15px;

  /* Glass Backdrop */
  background: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.3);
}

#content:hover {
  background-color: rgba(230, 248, 251, 0.147);
}

/*About section devided into text an Image*/
.container {
    display: flex; 
    gap: 5px;     
}
.box {
  flex: 1;        
  padding: 1px;
  max-width: 600px; 
}

#footer {
  z-index: 2;
  margin-top: 11%;
  padding-bottom: 10%;
  position: static;
  right: 5%;
  bottom: 3%;
  width: 100%;
  text-align: center;
}
/*____________________________________________________________________*/


/* Images */
/*____________________________________________________________________*/
.bookCovers {
  border-radius: 10px;
  max-height: 200px;
  min-height: 100px;
  padding: 1px;
  width: auto;
}

.bookCovers:hover {
  transform: scale(1.25);
  transition: transform 0.7s ease;
}

.gameCovers {
  border-radius: 10px;
  max-height: 200px;
  min-height: 100px;
  padding: 1px;
  width: auto;
}

.gameCovers:hover {
  animation: wiggle 1.5s 30ms 1;
}

#bookBox {
  height: auto;
  width: auto;
}

#gameBox {
  height: auto;
  width: auto;
}

#bookBox > img {
  position: relative;
  filter: drop-shadow(4px 4px 7px rgb(9, 75, 113))
}

#gameBox > img {
  position: relative;
  filter: drop-shadow(4px 4px 7px rgb(9, 75, 113))
}

#profilePic {
  height: auto;
  width: auto;
  margin-top: 25px;
  border-radius: 10px;
  display: flex;
  filter: drop-shadow(4px 4px 7px rgb(9, 75, 113))
}

#profilePic:hover {
  transition: transform 0.2s ease-in-out;
  transform: scale(1.11);
}

#retro-banner {
  padding-bottom: 15px;
}

#retro-banner:hover {
  transition: transform 0.2s ease-in-out;
  transform: scale(1.11);
}

/*neooncities logo & animations*/
#neocities-logo {
  width: 170px;
  filter: drop-shadow(4px 4px 7px rgb(9, 75, 113))
}

#neoncities-logo:hover {
  transition: transform 0.2s ease-in-out;
  transform: scale(1.11);
}
/*____________________________________________________________________*/


/* Ab hier kommen die non-divider ids */
/*____________________________________________________________________*/
h2, h3 {
  text-shadow: 3px 4px 7px rgb(9, 75, 113);
}

hr {
  margin-top: 5%;
  margin-bottom: 4%;
  width: 60%;
  height: 3px;
  background-color: rgba(230, 248, 251, 0.147);
  border-radius: 10px;
  border-style: outset;
  border-color: aquamarine;
}

p {
  margin-right: 15px;
  margin-left: 15px;
  text-shadow: 3px 4px 7px rgb(9, 75, 113);
}

#navigationBox {
  margin-left: 10%;
}

.navigationBtns{
  position: relative;
  border-radius: 5px;
  margin: 3px;
  padding: 7px;
  min-width: 100%;
  height: auto;
  background-color: rgba(0, 0, 0, 0);
  border-color: aliceblue;
  color: aliceblue;
  border-style:inset;
}

.navigationBtns:hover {
  background-color: rgba(63, 155, 212, 0.52);
}

.hyperlinks {
  color:azure;
  text-decoration: none;
  text-shadow: 3px 4px 7px rgb(9, 75, 113);
}

.hyperlinks:hover {
  text-transform: uppercase;
  color: #f9c228;
  text-shadow: 0px 0px 10px #f9c1283f;
}

#welcome-heading {
  margin-top: 25px;
  padding-bottom: 10px;
  font-family: comic sans ms;
  text-shadow: 2px 3px 4px rgba(0, 0, 0, 0.7);
  filter: drop-shadow(2px 4px 4px rgba(0, 0, 0, 0.7));
}

#welcome-heading:hover {
  color: #f9c228;
}
/*____________________________________________________________________*/


/* Animation for wiggle effect */
/*____________________________________________________________________*/
@-webkit-keyframes wiggle {
  0% {-webkit-transform: rotate(5deg);}
  25% {-webkit-transform: rotate(-5deg);}
  50% {-webkit-transform: rotate(10deg);}
  75% {-webkit-transform: rotate(-5deg);}
  100% {-webkit-transform: rotate(0deg);}
}

@-ms-keyframes wiggle {
  0% {-ms-transform: rotate(1deg);}
  25% {-ms-transform: rotate(-1deg);}
  50% {-ms-transform: rotate(1.5deg);}
  75% {-ms-transform: rotate(-5deg);}
  100% {-ms-transform: rotate(0deg);}
}

@keyframes wiggle {
  0% {transform: rotate(5deg);}
  25% {transform: rotate(-5deg);}
  50% {transform: rotate(10deg);}
  75% {transform: rotate(-5deg);}
  100% {transform: rotate(0deg);}
}